<?php
/**
 * Featured Video Section
 *
 * This is the template for the content of Featured Video Section
 *
 * @package Theme Palace
 * @subpackage Loud Pro
 * @since Loud Pro 1.0
 */
if ( ! function_exists( 'loud_pro_add_video_section' ) ) :
    /**
    * Add Featured Video Section
    *
    *@since Loud Pro 1.0
    */
    function loud_pro_add_video_section() {
        // Check if video is enabled on frontpage
        $video_enable = apply_filters( 'loud_pro_section_status', true, 'video_section_enable' );

        if ( true !== $video_enable ) {
            return false;
        }

        // Render Featured Video Section now.
        loud_pro_render_video_section();
    }
endif;
add_action( 'loud_pro_primary_content', 'loud_pro_add_video_section', 50 );


if ( ! function_exists( 'loud_pro_render_video_section' ) ) :
  /**
   * Start Featured Video Section
   *
   * @return string video content
   * @since Loud Pro 1.0
   *
   */
   function loud_pro_render_video_section() {
        $options        = loud_pro_get_theme_options();
        $featured_video = ! empty( $options['video_section_url'] ) ? $options['video_section_url'] : ''; 
        if ( empty( $featured_video ) ) {
            return;
        } ?>
        <div id="video-wrapper" class="relative" style="background-color: #f4f5f6;">
            <div class="wrapper">
            <?php the_widget( 'WP_Widget_Media_Video', $instance = array( 'url' => esc_url( $featured_video ) ) ); ?>
            </div><!-- .wrapper -->
        </div><!-- #video-wrapper -->
	<?php }
endif;
